@import './themes';

$animation-duration: 0.5s;
// *****************************
// RESOLUTION INDEPENDENT
// *****************************
:host {
  position: fixed;
  height: 100%;
  width: 250px;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  transform: translateX(-250px);
  transition: $animation-duration ease-in-out;
  z-index: 100;
  background-color: RGB(var(--surface));
}

.header {
  height: 60px;
  display: flex;
  padding: 0 16px;
  justify-self: stretch;

  .title {
    line-height: 60px;
    color: RGB(var(--primary-1));
    font-weight: 600;
  }
}

ul {
  margin-top: 36px;
}

li {
  color: RGB(var(--on-background-1));
  line-height: 60px;
  padding-left: 36px;
  margin: 8px 0;
  cursor: pointer;

  &:hover,
  &.active {
    color: RGB(var(--on-primary-1));
    background-color: RGB(var(--primary-1));
    @include box-shadow(var(--primary-1));
  }

  svg {
    padding-right: 16px;
  }
}

hr {
  border-color: RGB(var(--on-primary-1));
  margin-right: 26px;
}
// *****************************
// SMALL ONLY
// *****************************
@media only screen and (max-width: 1023.999px) {
}

// *****************************
// MEDIUM UP
// *****************************
@media only screen and (min-width: 1024px) {
  li {
    border-radius: 0 30px 30px 0;
  }
}
